%define major	6
%define libname	%mklibname %name %{major}
%define devname	%mklibname %name -d

Name:		gmt
Summary:	The Generic Mapping Tools
Version:	6.1.1
%define subrel	1
Release:	%mkrel 2
License: 	GPLv3+, LGPLv3+ or Restrictive
Group:		Sciences/Geosciences
URL:		https://www.generic-mapping-tools.org/
Source0:	https://github.com/GenericMappingTools/gmt/releases/download/%{version}/gmt-%{version}-src.tar.xz

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	bash-completion
BuildRequires:	ffmpeg
BuildRequires:	graphicsmagick
BuildRequires:	python3-sphinx
BuildRequires:	gdal
BuildRequires:	gdal-devel
BuildRequires:	geos-devel
BuildRequires:	gmt-dcw
BuildRequires:	gmt-gshhg
BuildRequires:	fftw3-devel
BuildRequires:	curl-devel
BuildRequires:	lapack-devel
BuildRequires:	netcdf-devel
BuildRequires:	pcre-devel
BuildRequires:	ghostscript
BuildRequires:	svn
BuildRequires:	xdg-utils
Requires:	gdal
Requires:	graphicsmagick
Requires:	gmt-dcw
Requires:	gmt-gshhg
Requires:	gmt-data
Requires:	gmt-plugins
Requires:	ghostscript
Obsoletes:	gmt-coast < 1:2.3.2-6
Obsoletes:	gmt-fulldata < 1:2.3.2-6
Obsoletes:	gmt-highdata < 1:2.3.2-6

%package data
Summary:	Data files for GMT
Group:		Sciences/Geosciences
BuildArch:	noarch

%package plugins
Summary:	Plugins for GMT
Group:		Sciences/Geosciences

%package -n %libname
Summary:	Shared libraries for GMT
Group:		System/Libraries

%package -n %devname
Summary:	Development files for GMT
Group:		Development/Other
Provides:	lib%{name}-devel = %version-%release
Provides:	%name-devel = %version-%release
Requires:	%libname = %version-%release

%description
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

%description data
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains data files for gmt.

%description plugins
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains plugins for gmt.

%description -n %libname
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains libraries for gmt.

%description -n %devname
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains development files for gmt.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fstrict-aliasing"
%cmake \
	-DGMT_MANDIR=share/man \
	-DBASH_COMPLETION_DIR=%{_datadir}/bash-completion/completions \
	-DDCW_PATH=%{_datadir}/gmt/dcw \
	-DCOPY_DCW:BOOL=OFF \
	-DGSHHG_PATH=%{_datadir}/gmt/gshhg \
	-DCOPY_GSHHG:BOOL=OFF \
	-DGMT_INSTALL_MODULE_LINKS=OFF \
	-DGMT_INSTALL_TRADITIONAL_FOLDERNAMES=OFF \
	-DGMT_ENABLE_OPENMP=BOOL:ON \
	-DGMT_USE_THREADS=BOOL:ON \
	-DLICENSE_RESTRICTED=LGPL
%cmake_build

%install
%cmake_install

%files
%license COPYING.LESSERv3 COPYINGv3 LICENSE.TXT
%doc AUTHORS.md CITATION.md CONTRIBUTING.md README.md
%exclude %{_bindir}/gmt-config
%{_bindir}/*

%files data
%doc %{_docdir}/%{name}/
%{_datadir}/bash-completion/completions/*
%{_datadir}/gmt/
%{_mandir}/man?/*

%files plugins
%dir %{_libdir}/gmt/
%dir %{_libdir}/gmt/plugins/
%{_libdir}/gmt/plugins/supplements.so

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_includedir}/gmt/
%{_libdir}/*.so
%{_bindir}/gmt-config


%changelog
* Thu Apr 08 2021 wally <wally> 6.1.1-2.1.mga8
+ Revision: 1714182
- don't install dcw or gshhg files during the build to remove conflicts (mga#28750)

* Wed Feb 03 2021 pterjan <pterjan> 6.1.1-2.mga8
+ Revision: 1674692
- Add missing conflict

* Fri Nov 27 2020 tv <tv> 6.1.1-1.mga8
+ Revision: 1649703
- 6.1.1 (fix build with glibc-2.32

* Mon Oct 26 2020 akien <akien> 6.1.0-3.mga8
+ Revision: 1639570
- Rebuild against fixed netcdf

* Thu Oct 01 2020 pterjan <pterjan> 6.1.0-2.mga8
+ Revision: 1631512
- Rebuild for new netcdf on arm

* Fri Jul 17 2020 daviddavid <daviddavid> 6.1.0-1.mga8
+ Revision: 1606645
- new version: 6.1.0
- now libmajor is 6
- new Url and new Source Url
- fix gmt bash-completion install path
- remove merged upstream patch

* Thu Jul 16 2020 daviddavid <daviddavid> 5.4.4-6.mga8
+ Revision: 1606461
- rebuild for new gdal 3.1.2

* Sun Jun 28 2020 joequant <joequant> 5.4.4-5.mga8
+ Revision: 1599885
- fix for gcc10

* Sun Mar 15 2020 daviddavid <daviddavid> 5.4.4-4.mga8
+ Revision: 1556458
- rebuild for new gdal 3.0.4

* Thu Feb 13 2020 umeabot <umeabot> 5.4.4-3.mga8
+ Revision: 1512567
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 5.4.4-2.mga7
+ Revision: 1297940
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 eatdirt <eatdirt> 5.4.4-1.mga7
+ Revision: 1251325
- Upgrade to version 5.4.4

* Fri Apr 27 2018 wally <wally> 5.4.3-1.mga7
+ Revision: 1222950
- new version 5.4.3
- redo .spec almost from a scratch

* Wed Sep 13 2017 cjw <cjw> 4.5.12-5.mga7
+ Revision: 1153525
- fix debug packages

* Mon Feb 08 2016 umeabot <umeabot> 4.5.12-4.mga6
+ Revision: 946580
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.5.12-3.mga5
+ Revision: 740117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.5.12-2.mga5
+ Revision: 679686
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 grenoya <grenoya> 4.5.12-1.mga5
+ Revision: 672298
- new version for software and for data

* Mon Oct 21 2013 umeabot <umeabot> 4.5.9-3.mga4
+ Revision: 541081
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 grenoya <grenoya> 4.5.9-2.mga4
+ Revision: 495075
- new version 4.5.9
- new version of coast data 2.2.2

* Sat Jan 12 2013 cjw <cjw> 4.5.7-2.mga3
+ Revision: 352317
- patch3: fix build with new glibc
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 05 2011 grenoya <grenoya> 4.5.7-1.mga2
+ Revision: 138887
- upgrade data sources to 2.2.0
- upgrade to version 4.5.7
- remove patch #0 and rediff half of it in patch #2

* Fri Sep 02 2011 tv <tv> 4.5.1-9.mga2
+ Revision: 137795
- make the huge data subpackages be noarch
+ fwang <fwang>
- rebuild for new netcdf

* Fri Apr 22 2011 grenoya <grenoya> 4.5.1-7.mga1
+ Revision: 89699
- clean old Mdv syntax
- imported package gmt

